Menu

Problèmes pour installer Symfony [Résolu/Fermé]

delfre56 340 Messages postés mardi 3 juillet 2012Date d'inscription 23 février 2018 Dernière intervention - 2 oct. 2016 à 00:16 - Dernière réponse : delfre56 340 Messages postés mardi 3 juillet 2012Date d'inscription 23 février 2018 Dernière intervention
- 12 févr. 2017 à 17:33
Bonjour,
j'essaie depuis cet après midi d'installer Symfony. Sur le site, on me demande d'entrer cette commande :

php -r "file_put_contents('symfony', file_get_contents('https://symfony.com/installer'));"

Ce à quoi l'invite de commande me répond :

Warning : file_get_contents(): Unable to find the wrapper "https" - did you forget to enable it when you configured PHP ? in command line code on line 1

J'ai windows 10 et PHP 7.0.11. J'ai essayé plein de trucs et je crois que je vais devenir fou. J'ai vraiment besoin de Symfony, alors si quelqu'un pouvait me trouver une solution je lui en serait éternellement reconnaissant :)
Afficher la suite 

5 réponses

Pitet 2378 Messages postés lundi 11 février 2013Date d'inscription 2 février 2018 Dernière intervention - 3 oct. 2016 à 11:12
0
Utile
4
Salut,

Pour utiliser le protocole https, il faut activer l'extension openssl :
- Ouvrir le fichier de configuration php.ini et décommenter la ligne extension=php_openssl.dll
- Redémarrer Apache

Sinon tu peux essayer d'exécuter ton code en utilisant le protocole http à la place de https.

Bonne journée,
delfre56 340 Messages postés mardi 3 juillet 2012Date d'inscription 23 février 2018 Dernière intervention - 3 oct. 2016 à 21:05
Merci pour la réponse !
Mais la ligne en question est déjà dé commentée dans php.ini :(
Pitet 2378 Messages postés lundi 11 février 2013Date d'inscription 2 février 2018 Dernière intervention - 4 oct. 2016 à 09:05
Essaye d'utiliser le protocole http sinon : http://symfony.com/installer
quelqu’un a t-il trouvé la solution car moi aussi la ligne en question est déjà décommentée
delfre56 340 Messages postés mardi 3 juillet 2012Date d'inscription 23 février 2018 Dernière intervention > tronade - 12 févr. 2017 à 17:33
J'ai fini par réussir à l'installer avec Composer